Bug 170414 - autofs-4.1.3-reentrant-syslog.patch does not compile with other compilers
Summary: autofs-4.1.3-reentrant-syslog.patch does not compile with other compilers
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autofs   
(Show other bugs)
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jeff Moyer
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 168429
TreeView+ depends on / blocked
 
Reported: 2005-10-11 14:53 UTC by Rod Nayfield
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHBA-2006-0057
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 18:30:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0057 qe-ready SHIPPED_LIVE autofs bug fix update 2006-03-06 05:00:00 UTC

Description Rod Nayfield 2005-10-11 14:53:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:

Extra semicolon in autofs-4.1.3-reentrant-syslog.patch causes fatal errors on some (non gcc 3.4) compilers.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Compile srpm on with older gcc

Actual Results:  Fatal error

Expected Results:  Compile

Additional info:

Fix:

--- autofs-4.1.3-reentrant-syslog.patch	Tue Jul 12 00:26:38 2005
+++ autofs-4.1.3-reentrant-syslog-STRAT.patch	Fri Oct  7 00:02:07 2005
@@ -41,7 +41,7 @@
  struct autofs_point ap;
  
 +/* re-entrant syslog default context data */
-+#define AUTOFS_SYSLOG_CONTEXT {-1, 0, 0, LOG_PID, (const char *)0, LOG_DAEMON, 0xff};
++#define AUTOFS_SYSLOG_CONTEXT {-1, 0, 0, LOG_PID, (const char *)0, LOG_DAEMON, 0xff}
 +
  volatile struct pending_mount *junk_mounts = NULL;

Comment 1 Jeff Moyer 2005-10-17 21:23:01 UTC
The fix is easy enough, so I'll include it.

In the future, please post patches as attachments.

Thanks,

Jeff

Comment 2 Jeff Moyer 2005-10-19 19:13:07 UTC
The fix has been committed to CVS.  It will appear in the next round of updates
(U3 for RHEL4 and U7 for RHEL 3).

Thanks.

Comment 10 Red Hat Bugzilla 2006-03-07 18:30:01 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0057.html



Note You need to log in before you can comment on or make changes to this bug.